#include<iostream.h> 
#include<iomanip.h> 
#include<math.h> 
 int main()                                                  
{
 int i;
 float m,n;
 for(i=1;i<=10000;i++)
 {
  m=sqrt(i+100);
  n=sqrt(i+168);
  if(m*m-100==n*n-168)
  {
   cout<<setw(5)<<i<<endl;
   break;
  }
 }
 return(0);
}
